Bug 166309 - Not correctly gpg signed
Not correctly gpg signed
Product: Fedora
Classification: Fedora
Component: switchdesk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2005-08-18 19:57 EDT by Jonathan Underwood
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-19 12:53:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2005-08-18 19:57:38 EDT
Description of problem:
This package isn't signed with the correct key

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1.yum install switchdesk-gui
2.complains that the installed key RPM-GPG-KEY-fedora is not correct for the package
Actual results:
yum install switchdesk-gui
Setting up Install Process
Setting up repositories
flash                     100% |=========================|  903 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
updates-released          100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
Excluding Packages from Fedora Extras 4 - i386
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for switchdesk-gui to pack into transaction set.
switchdesk-gui-4.0.6-3.no 100% |=========================|  19 kB    00:00
---> Package switchdesk-gui.noarch 0:4.0.6-3 set to be updated
--> Running transaction check

Dependencies Resolved

 Package                 Arch       Version          Repository        Size
 switchdesk-gui          noarch     4.0.6-3          base              126 k

Transaction Summary
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)
Total download size: 126 k
Is this ok [y/N]: y
Downloading Packages:
(1/1): switchdesk-gui-4.0 100% |=========================| 126 kB    00:02
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID db42a60e
public key not available for switchdesk-gui-4.0.6-3.noarch.rpm
Retrieving GPG key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

The GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora (0x4F2A6FD2)
is already installed but is not the correct key for this package.

Expected results:
switchdesk should install

Additional info:
Comment 1 Ngo Than 2005-08-19 07:56:16 EDT
oh, i can reproduce this problem too.

Elliot, could you please do this package signing? thanks
Comment 2 Elliot Lee 2005-08-19 12:53:17 EDT

Some of the packages in FC4 are signed with the Red Hat key rather than the
Fedora key - this is intentional and won't change especially for the FC4
packages already released. The workaround is to do 'rpm --import
/etc/pki/rpm-gpg/RPM-GPG-KEY' as root.

Note You need to log in before you can comment on or make changes to this bug.